classification
Title: Add Clang to distutils to build C/C++ extensions
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.4
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, refi64, tarek
Priority: normal Keywords: patch

Created on 2013-08-25 19:33 by refi64, last changed 2020-03-06 22:30 by refi64. This issue is now closed.

Files
File name Uploaded Description Edit
ccompiler.diff refi64, 2013-08-26 19:41 ccompiler.py patch
cygwinccompiler.diff refi64, 2013-08-26 19:42 cygwinccompiler.py patch
Messages (3)
msg196160 - (view) Author: Ryan Gonzalez (refi64) * Date: 2013-08-25 19:33
A have created to patches(for ccompiler.py and cygwinccompiler.py) to add Clang as a compiler in distutils. The patches are here:

ccompiler.py: http://pastebin.com/yMGYys0P
cygwinccompiler.py: http://pastebin.com/a49qNP6n

I used the distutils version from Mercurial.
msg196201 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-08-26 12:10
Please upload the patches as files to the issue, that way our review tool can be used.
msg363563 - (view) Author: Ryan Gonzalez (refi64) * Date: 2020-03-06 22:30
Oh my god this was still open? I think you can just use the CC variable, not sure what 6-years-younger-and-more-stupid me was thinking here. Sorry about the noise.
History
Date User Action Args
2020-03-06 22:30:42refi64setstatus: open -> closed

messages: + msg363563
stage: patch review -> resolved
2020-03-06 20:28:30brett.cannonsetnosy: - brett.cannon
2013-10-25 18:12:51christian.heimessetstage: patch review
versions: + Python 3.4
2013-08-26 19:42:03refi64setfiles: + cygwinccompiler.diff
2013-08-26 19:41:44refi64setfiles: + ccompiler.diff
keywords: + patch
2013-08-26 12:10:49brett.cannonsetnosy: + brett.cannon
messages: + msg196201
2013-08-25 19:33:46refi64create